with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "MASTER";
  name = "blog-gallery-${version}";

  #src = fetchTarball {
  #  url = "https://gogs.prunetwork.fr/jpierre03/gallery/archive/master.tar.gz";
  #};

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/jpierre03/gallery.git";
    sha256 = "0ccdjlp5ljskvirp0djd3icxigpw7fbml43906k0vb68ln9k2qbp";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    description = "Blog jekyll";
    homepage = https://gogs.prunetwork.fr/jpierre03/gallery;
    license = licenses.gpl2;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
