# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "2016-07-22";
  name = "r6d-blog-${version}";

  src = fetchgit {
    url = "https://github.com/r6d/r6d.github.io.git";
    sha256 = "1pk8f4j6lbvljrb8k1j21j8k2mh9szqwysdgljh6p5i87sfk0l9b";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
